Index: /main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/viewlets.py
===================================================================
--- /main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/viewlets.py	(revision 16993)
+++ /main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/viewlets.py	(revision 16993)
@@ -0,0 +1,36 @@
+## $Id: viewlets.py 16231 2020-09-10 07:22:19Z henrik $
+##
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+import grok
+from waeup.kofa.interfaces import IKofaObject
+from waeup.kofa.applicants.viewlets import ApplicantsAuthTab
+
+from kofacustom.lpng.interfaces import MessageFactory as _
+
+grok.context(IKofaObject) # Make IKofaObject the default context
+
+class ApplicantsAnonTab(ApplicantsAuthTab):
+    """Applicants tab in primary navigation. 
+
+    Do not display the tab.
+    """
+    grok.require('waeup.Anonymous')
+    tab_title = _(u'Application')
+
+    @property
+    def link_target(self):
+        return
Index: /main/kofacustom.lpng/trunk/src/kofacustom/lpng/browser/pages.py
===================================================================
--- /main/kofacustom.lpng/trunk/src/kofacustom/lpng/browser/pages.py	(revision 16992)
+++ /main/kofacustom.lpng/trunk/src/kofacustom/lpng/browser/pages.py	(revision 16993)
@@ -24,21 +24,4 @@
 from kofacustom.lpng.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from waeup.kofa.browser.viewlets import FacultiesTab, ManageReports
-    
-class FacultiesTab(FacultiesTab):
-    """Faculties-tab in primary navigation.
-    """
-    grok.context(IKofaObject)
-    
-    @property
-    def link_target(self):
-        return
-        
-class ManageReports(ManageReports):
-    """A link to reports, placed in upper left box.
-    """
-    
-    def render(self):
-        return ''
 
 class CustomSessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
Index: /main/kofacustom.lpng/trunk/src/kofacustom/lpng/browser/viewlets.py
===================================================================
--- /main/kofacustom.lpng/trunk/src/kofacustom/lpng/browser/viewlets.py	(revision 16993)
+++ /main/kofacustom.lpng/trunk/src/kofacustom/lpng/browser/viewlets.py	(revision 16993)
@@ -0,0 +1,68 @@
+## $Id: viewlets.py 15424 2019-05-24 10:13:52Z henrik $
+##
+## Copyright (C) 2015 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+
+import grok
+from waeup.kofa.interfaces import IKofaObject, academic_sessions_vocab
+from waeup.kofa.browser.viewlets import (
+    PrimaryNavTab, ManageActionButton, UpdateScoresActionButton,
+    DownloadCSVFileActionButton, DownloadTicketOverviewActionButton,
+    FacultiesTab, ManageReports)
+from waeup.kofa.accesscodes.browser import ManageAccessCodes
+from kofacustom.lpng.interfaces import MessageFactory as _
+
+grok.context(IKofaObject)
+
+class FacultiesTab(FacultiesTab):
+    """Faculties-tab in primary navigation.
+    """
+    grok.context(IKofaObject)
+    
+    @property
+    def link_target(self):
+        return
+        
+class ManageReports(ManageReports):
+    """A link to reports, placed in upper left box.
+    """
+    
+    def render(self):
+        return ''
+        
+class ManageAccessCodes(ManageAccessCodes):
+    """Link in upper left box to access code management.
+    """
+
+    def render(self):
+        return ''
+
+class RegistrationTab(PrimaryNavTab):
+    """Request Transcript tab in primary navigation.
+
+    Display tab only for anonymous. 
+    """
+    grok.order(4)
+    grok.require('waeup.Anonymous')
+    tab_title = _(u'Register Now')
+    pnav = 8
+
+    @property
+    def link_target(self):
+        if self.request.principal.id == 'zope.anybody':
+            return self.view.application_url('applicants')
+        return
+
Index: /main/kofacustom.lpng/trunk/src/kofacustom/lpng/interfaces.py
===================================================================
--- /main/kofacustom.lpng/trunk/src/kofacustom/lpng/interfaces.py	(revision 16992)
+++ /main/kofacustom.lpng/trunk/src/kofacustom/lpng/interfaces.py	(revision 16993)
@@ -21,49 +21,33 @@
 from zc.sourcefactory.basic import BasicSourceFactory
 from waeup.kofa.interfaces import (SimpleKofaVocabulary,
-    ISessionConfiguration, academic_sessions_vocab)
+    ISessionConfiguration, academic_sessions_vocab, IKofaObject,
+    DisablePaymentGroupSource)
 
 _ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.lpng')
 
-class ICustomSessionConfiguration(ISessionConfiguration):
+class ICustomSessionConfiguration(IKofaObject):
     """A session configuration object.
     """
 
-    # Base fees, do not remove.
-
-    clearance_fee = schema.Float(
-        title = _(u'Acceptance Fee'),
-        default = 0.0,
-        required = False,
+    academic_session = schema.Choice(
+        title = _(u'Session'),
+        source = academic_sessions_vocab,
+        default = None,
+        required = True,
+        readonly = True,
         )
 
-    booking_fee = schema.Float(
-        title = _(u'Bed Booking Fee'),
-        default = 0.0,
+    payment_disabled = schema.List(
+        title = _(u'Payment disabled'),
+        value_type = schema.Choice(
+            source = DisablePaymentGroupSource(),
+            ),
         required = False,
+        defaultFactory=list,
         )
 
-    maint_fee = schema.Float(
-        title = _(u'Rent (fallback)'),
-        default = 0.0,
-        required = False,
-        )
-
-    late_registration_fee = schema.Float(
-        title = _(u'Late Course Reg. Fee'),
-        default = 0.0,
-        required = False,
-        )
-
-    transcript_fee = schema.Float(
-        title = _(u'Transcript Fee'),
-        default = 0.0,
-        required = False,
-        )
-
-    transfer_fee = schema.Float(
-        title = _(u'Transfer Fee'),
-        default = 0.0,
-        required = False,
-        )
+    def getSessionString():
+        """Return the session string from the vocabulary.
+        """
 
     interswitch_enabled = schema.Bool(
Index: /main/kofacustom.lpng/trunk/src/kofacustom/lpng/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- /main/kofacustom.lpng/trunk/src/kofacustom/lpng/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 16992)
+++ /main/kofacustom.lpng/trunk/src/kofacustom/lpng/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 16993)
@@ -19,11 +19,11 @@
 
 msgid "Applicants Containers"
-msgstr ""
+msgstr "Registrants Containers"
 
 msgid "Applicants"
-msgstr ""
+msgstr "Registrants"
 
 msgid "Applicant"
-msgstr ""
+msgstr "Registrant"
 
 msgid "Applicants Section"
@@ -31,11 +31,42 @@
 
 msgid "Registration Number or Applicant Id:"
-msgstr ""
+msgstr "Registration Number or Registrant Id:"
 
 msgid "Number of Applicants"
-msgstr ""
+msgstr "Number of Registrants"
 
 msgid "Application"
 msgstr "Registration"
+
+msgid "Manage applicants section"
+msgstr "Manage registration section"
+
+msgid "Add applicants container"
+msgstr "Add registrants container"
+
+msgid "Application Period"
+msgstr "Registration Period"
+
+msgid "Find applicants"
+msgstr "Find registrants"
+
+msgid "Create student"
+msgstr "Create member"
+
+msgid "Create students"
+msgstr "Create members"
+
+msgid "Applicant Id"
+msgstr "Registrant Id"
+
+msgid "Find applicant"
+msgstr "Find registrant"
+
+msgid "Edit academic session ${a} configuration"
+msgstr "Edit session ${a} configuration"
+
+msgid ""
+"User Name, Student or Applicant Id, Matriculation or Registration Number"
+msgstr "User Name, Registrant Id or Registration Number"
 
 #. Default: "You don't have an account because you are a fresh student, or your student record has just been created? Acquire a Password Activation Code (PWD) and inititialize your student account <strong><a href=\"setpassword\"> here</a></strong>."
@@ -52,5 +83,5 @@
 msgid "login_trouble4"
 msgstr ""
-"You forgot your user name, applicant id or password? <a href=\"changepw\" "
+"You forgot your user name, registrant id or password? <a href=\"changepw\" "
 "class=\"btn btn-success btn-xs\">Request a new password.</a>"
 
Index: /main/kofacustom.lpng/trunk/src/kofacustom/lpng/utils/utils.py
===================================================================
--- /main/kofacustom.lpng/trunk/src/kofacustom/lpng/utils/utils.py	(revision 16992)
+++ /main/kofacustom.lpng/trunk/src/kofacustom/lpng/utils/utils.py	(revision 16993)
@@ -28,2 +28,10 @@
         'donation': 'Donation',
         }
+
+    DISABLE_PAYMENT_GROUP_DICT = {
+        }
+
+    APP_CATS_DICT = {
+        'basic': 'Basic Application',
+        'no': 'no application',
+        }