Index: /tanzpartie-hugo/config.toml
===================================================================
--- /tanzpartie-hugo/config.toml	(revision 17021)
+++ /tanzpartie-hugo/config.toml	(revision 17022)
@@ -1,4 +1,4 @@
 title = "Hello World!"
-baseURL = "http://salsa"
+baseURL = "http://www.tanzpartie.de"
 
 # Option 1 (recommended): adding the theme as a Hugo module
Index: /tanzpartie-hugo/content/page/history.md
===================================================================
--- /tanzpartie-hugo/content/page/history.md	(revision 17021)
+++ /tanzpartie-hugo/content/page/history.md	(revision 17022)
@@ -63,5 +63,5 @@
 Eineinhalb Jahre haben wir in Ghana verbracht und dort in einem Haus gelebt. Unser älterer Sohn ging dort zur Schule und der jüngere in den Kindergarten. Unser Oneten war immer mit dabei. Zum Ende hatten wir das Gefühl, jeder in der Region kannte uns und unser Auto, das zum Markenzeichen der Familie Bettermann wurde.
 
-2005 nahm unser Aufenthalt ein jähes Ende. Die Malaria, die das Leben unsere Kinder gefährdete, erzwang die Rückkehr nach Deutschland. Wieder einmal im Container verließen unser Hab und Gut Afrika. Wir fanden im Wendland eine neue Heimat. Der Landover verschwand für 13 Jahre in einem alten gut durchlüfteten Kuhstall.
+2005 nahm unser Aufenthalt ein jähes Ende. Die Malaria, die das Leben unsere Kinder gefährdete, erzwang die Rückkehr nach Deutschland. Wieder einmal im Container verließen unser Hab und Gut Afrika. Wir fanden im Wendland eine neue Heimat. Der Landrover verschwand für 13 Jahre in einem alten gut durchlüfteten Kuhstall.
 
 **PAUSE**
Index: /tanzpartie-hugo/content/page/journey.md
===================================================================
--- /tanzpartie-hugo/content/page/journey.md	(revision 17021)
+++ /tanzpartie-hugo/content/page/journey.md	(revision 17022)
@@ -6,5 +6,9 @@
 ---
 
-Vor 25 Jahren war unsere [Afrikareise](../history#teil-3) mit dem Ziel verbunden, die uns bekannten Spielstätten afrikanischer Musik aufzusuchen, Konzerten zu lauschen, Musiker zu treffen, Kontakte zu knüpfen und viel Musik mit nach Hause zu bringen. Wir haben damals nicht nur einen Schallplattenladen in Harare leergekauft, sondern auch, ausgestattet mit einem Sony Professional Kassettenrekorder und mehreren Mikrophonen, über 30 Stunden Musik selber aufgezeichnet und später in Deutschland digitalisiert. Hier zwei Beispiele:
+Vor 25 Jahren war unsere [Afrikareise](../history#teil-3) mit dem Ziel verbunden, die uns bekannten Spielstätten afrikanischer Musik aufzusuchen, Konzerten zu lauschen, Musiker zu treffen, Kontakte zu knüpfen und viel Musik mit nach Hause zu bringen. Wir haben damals nicht nur einen Schallplattenladen in Harare leergekauft, sondern auch, ausgestattet mit einem Sony Professional Kassettenrekorder und mehreren Mikrophonen, über 30 Stunden Musik selber aufgezeichnet und später in Deutschland digitalisiert. 
+
+{{< figure class="image" width=30% src="../pics/K1600_IMG_9451.JPG" >}}
+
+Hier zwei Beispiele:
 
 - [Koo Nimo im Dezember 1996](/audio/koonimo)
@@ -14,13 +18,16 @@
 
 
-Lateinamerikanische Musik und Gesellschaftstanz in den Amerikas
----------------------------------------------------------------
+Lateinamerikanische Musik und Gesellschaftstanz in Afrika und den Amerikas
+--------------------------------------------------------------------------
 
-In Lateinamerika sind die afrokaribische, die afrobrasilianische und afrokolumbianische Musik stilprägend. Zu ihnen zählen u.a. (in alphabetischer Reihenfolge) die Musikrichtungen: *Axé, Bachata, Bolero, Bossa Nova, Calypso, Cumbia, Danzón, Forró, Frevo, Habanera, Lambada, Mambo, Merengue, Reggaetón, Rumba, Salsa, Samba, Samba-Reggae, Ska, Son, Timba und Vallenato*. In Nordamerika werden die folgenden Musikrichtungen unter dem Begriff afroamerikanisch Musik subsummiert: *Gospel, Blues, Jazz, Rhythm & Blues, Rock & Roll, Soul, Funk, Hip-Hop, House und Zydeco*, also fast alles, was der nordamerikaniche Kontinent zu bieten hat. In Lateinamerika kommen noch viele indigene Musikstile hinzu. Mit den meisten dieser Musikstile sind auch Tanzstile verbunden, viele von ihnen werden mit TanzpartnerIn oder in Formationen getanzt.
+In Lateinamerika sind die afrokaribische, die afrobrasilianische und afrokolumbianische Musik stilprägend. Zu ihnen zählen u.a. (in alphabetischer Reihenfolge) die Musikrichtungen: *Axé, Bachata, Bolero, Bossa Nova, Calypso, Chôro, Cumbia, Danzón, Forró, Frevo, Habanera, Lambada, Mambo, Merengue, Reggaetón, Rumba, Salsa, Samba, Samba-Reggae, Ska, Son, Timba und Vallenato*. In Nordamerika werden die folgenden Musikrichtungen unter dem Begriff afroamerikanisch Musik subsummiert: *Gospel, Blues, Jazz, Rhythm & Blues, Rock & Roll, Soul, Funk, Hip-Hop, House und Zydeco*, also fast alles, was der nordamerikaniche Kontinent zu bieten hat. In Lateinamerika kommen noch viele indigene Musikstile hinzu. Mit den meisten dieser Musikstile sind auch Tanzstile verbunden, viele von ihnen werden mit TanzpartnerIn oder in Formationen getanzt.
+
+In Lateinamerika und der Karibik haben sich Musikstile durch das Verschmelzen der Kulturen nicht nur weiterentwickelt. Sie haben afrikanische Musiktraditionen in einer Form konserviert, wie es in Afrika im vergangenen Jahrhundert kaum möglich war. Ein gutes Beispiel ist die afrokubanische Musik, in denen Musiktraditionen der Yoruba (einem Volk im heutigen Nigeria) quasi eingefroren und so gelebt werden, wie es in westlichen Afrika kaum noch üblich ist. Dort erkennt und wertschätzt man die Konservierung und Weiterentwicklung der Musikformen. Die afrokubanische Musik wird auch in Afrika sehr populär und von vielen bekannten Musikern und Orchestern gespielt: *Africando, Orchestre Baobab, Grand Kalle, Franco, Étoile de Dakar, Rocherau, Pape Fall, Mapenda Seck, Manu Dibango, Les Bantous De La Capitale, Papa Wemba*.
+
 
 Reise in Planung
 ----------------
 
-Die Reiseroute von Nord- nach Südamerika wird durch kulturellen Hochburgen Amerikas verlaufen. Als leidenschaftlicher Salsa Cubana-Tänzer möchte ich viele Konzerte in kleinem und großen Rahmen erleben und Tanzen gehen. Ich freue mich auf die Begegnungen mit Menschen jeden Alters und auf hoffentlich viele generationsübergreifende Gemeinschaftserlebnisse. Gleichzeitig werde ich als "Digitalnomade" arbeiten und all meinen beruflichen Verpflichtungen und Aufgaben in Nigeria nachkommen.
+Die aktuell geplante Reiseroute verläuft durch die kulturellen Hochburgen Amerikas. Als leidenschaftlicher Salsa Cubana-, Bachata-, Merengue- und Forró-Tänzer möchte ich viele Konzerte in kleinem und großen Rahmen erleben und Tanzen gehen. Ich freue mich auf die Begegnungen mit Menschen jeden Alters und auf hoffentlich viele generationsübergreifende Gemeinschaftserlebnisse. Gleichzeitig werde ich als "Digitalnomade" arbeiten und all meinen beruflichen Verpflichtungen und Aufgaben in Nigeria nachkommen.
 
 {{< google_route height="400" mid="16ZCWPaJhSiKppVD_M0cxpLyFS7Ozz8s" ehbc="2E312F">}}