Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_jupeb.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_jupeb.py	(revision 17032)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_jupeb.py	(revision 17032)
@@ -0,0 +1,38 @@
+ADML_JUPEB = """
+Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: WAEC/NECO (O' Level) result, Birth certificate or sworn affidavit of age, and certificate of medical fitness from a recognized Medical Centre.
+
+The fee schedule and the options for payment are indicated below. If you choose to use the bank payment option, you can pay at any branch of Access bank on 0787077169 with account name IUO JUPEB or on https://iuokada.waeup.org/e-tranzact or Interswitch platform.
+
+Kindly note the following:
+
+1. As an indication of your acceptance of this offer of admission, you should pay a non- refundable Acceptance deposit of N50,000:00.
+2. Tuition fee for the session is N200,000:00 for Arts and N250,000:00 for Sciences
+3. Accommodation fee for the session is N175,000:00
+4. All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. Instalmental payments of not more than two instalments, may be allowed
+5. Fees once paid are not refundable.
+6. It is advisable that you keep the original receipts of fees paid and present them on demand.
+
+Accommodation: Accommodation in University hostels is compulsory for every student. No student is allowed to live outside the hostels. Any student who does so will be expelled from the programme.
+
+Food: Food is available in cafeteria on "pay-as-you-eat" basis.
+
+Resumption Date: The University opens for dual mode of teaching (physical/online) for students on Monday, 27th September, 2021.
+
+Registration Programme: Online registration for fresh students will start on Monday, 27th September, 2021 and end on 4th October 2021. A late registration fee of N20,000 will be charged after this date.
+
+Transport Facility: The University provides a compulsory shuttle bus service to all students at a fee already included in the tuition.
+Kindly note that JUPEB students are not allowed the use of private vehicles on campus.
+
+Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
+
+We wish you a successful academic career in Igbinedion University. Enquiries: 08034331960, 08120611736
+
+Congratulations!
+
+
+
+<img src="${signature_benji_img_path}" valign="-20" height="38" width="86" />
+
+Friday Benji Bakare Esq.
+Registrar
+"""
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pg.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pg.py	(revision 17032)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pg.py	(revision 17032)
@@ -0,0 +1,49 @@
+ADML_PG = """
+1. Details of your programme will be made available to you by the Head of your Department on your arrival at the Igbinedion University. The session commences every October.
+
+2. This offer is conditional upon the confirmation of your qualifications as listed by you in your application form. You will be required to produce the ORIGINAL COPIES of all your certificates for verification during registration. If at any time after admission, it is discovered that you do not possess any of the qualifications upon which this offer of admission was made, you will be required to withdraw from the University.
+
+3. If you accept this offer of admission upon the conditions above, you should please:
+
+(a) Complete the enclosed Acceptance Form of Provisional Offer of Admission in duplicate and send  by registered mail or by hand to the
+
+Secretary
+School of Postgraduate Studies and Research
+Igbinedion University,
+P.M.B. 0006,
+Benin City, Edo State,
+Nigeria
+
+(b)	Forward the following along with the Acceptance Form of Provisional Offer of Admission.
+
+(i) A non-refundable deposit of N100,000.00 (One Hundred Thousand Naira Only) which is part of the School fees: Payable Online.
+
+(ii) Four recent passport-size photograph of yourself with your full-names (surname first in BLOCK LETTERS) written on the reverse side of the photograph and pinned to the Acceptance Form.
+
+4. The following will be required for Registration:
+
+(a) A medical examination to be conducted by an approved medical practitioner. On your arrival at the Igbinedion University, you should submit the enclosed Igbinedion University Medical Examination Form duly completed and signed by an approved medical practitioner together with your chest X-ray film to Director of Health Service at the Igbinedion University, Okada.
+
+(b) The original copies of all credentials listed in your application form (including NYSC discharge/exemption certificate) should be brought for sighting.
+
+5. You are required to pay the necessary fees and register for your degree programme not later than three weeks from the beginning of the Academic Session. Late registration may be allowed during an additional period of five weeks on payment of a late registration fees. Please note that you will be allowed to register after two months have elapsed from the beginning of the sessions.
+
+6. Please find attached:
+
+(a) A copy of School fees Regime
+(b) A copy of Acceptance Forms
+
+7. Note:
+
+(a) All Tuition fees are to be paid online
+(b) Post-graduate dues and other charges are to be paid into ABC Microfinance Bank Okada, Account No: 30125
+
+8.  CONGRATULATIONS!!!
+
+Yours faithfully,
+
+<img src="${signature_ezewele_img_path}" valign="-20" height="38" width="86" />
+
+Mrs. Angela Ezewele
+Secretary, School of Postgraduate Studies & Research
+"""
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pt.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pt.py	(revision 17032)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_pt.py	(revision 17032)
@@ -0,0 +1,30 @@
+ADML_PT = """
+Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip where available, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and health certificate from a recognized Medical Centre.
+
+All credentials (original) will be checked during registration. This admission will be cancelled at any point in time it is found that your claims in the application form are false.
+
+You are required to show evidence of the result / credentials you presented on application for admission.
+
+Fees are paid through bank draft only. Fees can be paid using any of the following options: Professional courses N180,000 (One Hundred and Eighty Thousand Naira only) and Non- Professional N150,000 (One Hundred and Fifty Thousand Naira only).
+
+Your Student Id (indicated above) is your login to the University portal. As an indication of your acceptance of this offer of admission, you should immediatelty raise a draft of fees above at the beginning of the session,. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable.
+
+It is advisable that you keep the original receipts of fees paid and present them on demand.
+
+Resumption Date: The University opens for fresh students with online registration starting from Monday 28th September, 2020. The date for physical resumption is 14th November, 2020.
+
+All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip where available (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+
+Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
+
+We wish you a successful academic career in Igbinedion University.
+
+Congratulations!
+
+<img src="${signature_benji_img_path}" valign="-20" height="38" width="86" />
+
+Friday Benji Bakare Esq.
+Registrar
+registrar@iuokada.edu.ng
+08035902949
+"""
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17032)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17032)
@@ -0,0 +1,50 @@
+ADML_UG = """
+Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and health certificate from a recognized Medical Centre.
+
+All credentials (original) will be checked during registration. This admission will be cancelled at any point in time it is found that your claims in the application form are false.
+
+You are required to show evidence of the result / credentials you presented on application for admission.
+
+Fees can be paid using any of the following options:
+
+Fees can be paid through your portal page. INSTRUCTIONS can be found below "FEES PAYMENT PROCEDURE" for the options you have to make your payment, as well as instructions on how to use your preferred payment option. If you choose to use the bank payment option, you can pay at any branch of the following banks through Etranzact platform only: Access Bank, First Bank, Zenith Bank
+
+Kindly note the following:
+
+Fees indicated on the Fee Structure page are valid for the current session only. Your Student Id (indicated above) is your logln to the University portal. As an indication of your acceptance of this offer of admission, you should pay a non-refundable Acceptance deposit of N200,000. Further note that the 200,000 deposit is part of the tuition fee for the session. Failure to pay after the expiration of two weeks may lead to forfeiture of admission. All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. This is the rule for all students at all levels. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable. It is advisable that you keep the original receipts of fees paid and present them on demand.
+
+Accommodation: Accommodation in University hostels is compulsory for every student. No student Is allowed to live outside the hostels. Any student who does so will be expelled from the University.
+
+Food: Food is available in cafeteria on "pay-as-you-eat" basis.
+
+Resumption Date: The University opens for fresh students on Saturday, 9th October, 2021. All newly admitted students are expected to resume on that date.
+
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 11th October, 2021 - Friday, 15th October, 2021. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+
+Transport Facility: The University provides a compulsory shuttle bus service to all students at a fee already included in the other charges.
+
+Kindly note that fresh students are not allowed the use of private vehicles.
+
+Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
+
+We wish you a successful academic career in Igbinedion University.
+
+Congratulations!
+
+
+
+<img src="${signature_benji_img_path}" valign="-20" height="38" width="86" />
+
+Friday Benji Bakare Esq.
+Registrar
+registrar@iuokada.edu.ng
+08035902949
+"""
+
+BASIC_MEDICAL_ONLY = """
+Progression to 200 Level MBBS programmes is highly competitive and strictly based on merit/approved quota. Students who are unable to make the cut off point will have the option of joining allied courses such as BSc Nursing, BSc Anatomy, BSc Biochemistry, BSc Physiology, Bachelor of Medical Laboratory Science, including Computer Science and engineering courses at 200 Level provided they have the relevant O/L credits.
+"""
+
+BASIC_PHARMACY_ONLY = """
+Progression to 200 Level Pharmacy programmes is highly competitive and strictly based on merit/approved quota. Students who are unable to make the cut off point will have the option of joining allied courses such as BSc Nursing, BSc Anatomy, BSc Biochemistry, BSc Physiology, Bachelor of Medical Laboratory Science, including Computer Science and engineering courses at 200 Level provided they have the relevant O/L credits.
+"""
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 17031)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 17032)
@@ -451,239 +451,31 @@
     @property
     def basic_medical_only_text(self):
-        return"""
-Progression to 200 Level MBBS programmes is highly competitive and strictly based on merit/approved quota. Students who are unable to make the cut off point will have the option of joining allied courses such as BSc Nursing, BSc Anatomy, BSc Biochemistry, BSc Physiology, Bachelor of Medical Laboratory Science, including Computer Science and engineering courses at 200 Level provided they have the relevant O/L credits.
-"""
-
+        from kofacustom.iuokada.students.admission_letter_ug import BASIC_MEDICAL_ONLY
+        return BASIC_MEDICAL_ONLY
+        
     @property
     def basic_pharmacy_only_text(self):
-        return"""
-Progression to 200 Level Pharmacy programmes is highly competitive and strictly based on merit/approved quota. Students who are unable to make the cut off point will have the option of joining allied courses such as BSc Nursing, BSc Anatomy, BSc Biochemistry, BSc Physiology, Bachelor of Medical Laboratory Science, including Computer Science and engineering courses at 200 Level provided they have the relevant O/L credits.
-"""
+        from kofacustom.iuokada.students.admission_letter_ug import BASIC_PHARMACY_ONLY
+        return BASIC_PHARMACY_ONLY
 
     @property
     def post_text_ug(self):
-        return """
-Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and health certificate from a recognized Medical Centre.
-
-All credentials (original) will be checked during registration. This admission will be cancelled at any point in time it is found that your claims in the application form are false.
-
-You are required to show evidence of the result / credentials you presented on application for admission.
-
-Fees can be paid using any of the following options:
-
-Fees can be paid through your portal page. INSTRUCTIONS can be found below "FEES PAYMENT PROCEDURE" for the options you have to make your payment, as well as instructions on how to use your preferred payment option. If you choose to use the bank payment option, you can pay at any branch of the following banks through Etranzact platform only: Access Bank, First Bank, Zenith Bank
-
-Kindly note the following:
-
-Fees indicated on the Fee Structure page are valid for the current session only.
-Your Student Id (indicated above) Is your logln to the University portal.
-As an indication of your acceptance of this offer of admission, you should pay a non-refundable Acceptance deposit of N200,000. Further note that the 200,000 deposit is part of the tuition fee for the session. Failure to pay after the expiration of two weeks may lead to forfeiture of admission.
-All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. This is the rule for all students at all levels. Install mental payments of not more than two installments, may be allowed under exceptional circumstances.
-Fees once paid are not refundable.
-It is advisable that you keep the original receipts of fees paid and present them on demand.
-
-Accommodation: Accommodation in University hostels is compulsory for every student. No student Is allowed to live outside the hostels. Any student who does so will be expelled from the University.
-
-Food: Food is available in cafeteria on "pay-as-you-eat" basis.
-
-Resumption Date: The University opens for fresh students on Saturday, 9th October, 2021. All newly admitted students are expected to resume on that date.
-
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 11th October, 2021 - Friday, 15th October, 2021. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
-
-Transport Facility: The University provides a compulsory shuttle bus service to all students at a fee already included in the other charges.
-
-Kindly note that fresh students are not allowed the use of private vehicles.
-
-Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
-
-We wish you a successful academic career in Igbinedion University.
-
-Congratulations!
-
-
-
-<img src="${signature_benji_img_path}" valign="-20" height="38" width="86" />
-
-Friday Benji Bakare Esq.
-Registrar
-registrar@iuokada.edu.ng
-08035902949
-"""
-
-    @property
-    def post_text_2020(self):    # no longer used
-        return """
-Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and health certificate from a recognized Medical Centre.
-
-All credentials (original) will be checked during registration. This admission will be cancelled at any point in time it is found that your claims in the application form are false.
-
-You are required to show evidence of the result / credentials you presented on application for admission.
-
-Fees can be paid using any of the following options:
-
-Fees can be paid through your portal page. INSTRUCTIONS can be found below "FEES PAYMENT PROCEDURE" for the options you have to make your payment, as well as instructions on how to use your preferred payment option. If you choose to use the bank payment option, you can pay at any branch of the following banks through Etranzact platform only: Access Bank, First Bank, Zenith Bank
-
-Kindly note the following:
-
-Fees indicated on the Fee Structure page are valid for the current session only.
-Your Student Id (indicated above) Is your logln to the University portal.
-As an indication of your acceptance of this offer of admission, you should pay a non-refundable Acceptance deposit of N200,000. Further note that the 200,000 deposit is part of the tuition fee for the session. Failure to pay after the expiration of two weeks may lead to forfeiture of admission.
-All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. This is the rule for all students at all levels. Install mental payments of not more than two installments, may be allowed under exceptional circumstances.
-Fees once paid are not refundable.
-It is advisable that you keep the original receipts of fees paid and present them on demand.
-
-Accommodation: Accommodation in University hostels is compulsory for every student. No student Is allowed to live outside the hostels. Any student who does so will be expelled from the University.
-
-Food: Food is available in cafeteria on "pay-as-you-eat" basis.
-
-Resumption Date: The University opens for fresh students with online registration starting from Monday 28th September, 2020. The date for physical resumption is 14th November, 2020.
-
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 16th November 2020. Registration ends on 2020-11-30.  A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
-
-Transport Facility: The University provides a compulsory shuttle bus service to all students at a fee already included in the other charges.
-
-Kindly note that fresh students are not allowed the use of private vehicles.
-
-Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
-
-We wish you a successful academic career in Igbinedion University.
-
-Congratulations!
-
-
-
-<img src="${signature_benji_img_path}" valign="-20" height="38" width="86" />
-
-Friday Benji Bakare Esq.
-Registrar
-registrar@iuokada.edu.ng
-08035902949
-"""
+        from kofacustom.iuokada.students.admission_letter_ug import ADML_UG
+        return ADML_UG
 
     @property
     def post_text_pg(self):
-        return """
-1. Details of your programme will be made available to you by the Head of your Department on your arrival at the Igbinedion University. The session commences every October.
-
-2. This offer is conditional upon the confirmation of your qualifications as listed by you in your application form. You will be required to produce the ORIGINAL COPIES of all your certificates for verification during registration. If at any time after admission, it is discovered that you do not possess any of the qualifications upon which this offer of admission was made, you will be required to withdraw from the University.
-
-3. If you accept this offer of admission upon the conditions above, you should please:
-
-(a) Complete the enclosed Acceptance Form of Provisional Offer of Admission in duplicate and send  by registered mail or by hand to the
-
-Secretary
-School of Postgraduate Studies and Research
-Igbinedion University,
-P.M.B. 0006,
-Benin City, Edo State,
-Nigeria
-
-(b)	Forward the following along with the Acceptance Form of Provisional Offer of Admission.
-
-(i) A non-refundable deposit of N100,000.00 (One Hundred Thousand Naira Only) which is part of the School fees: Payable Online.
-
-(ii) Four recent passport-size photograph of yourself with your full-names (surname first in BLOCK LETTERS) written on the reverse side of the photograph and pinned to the Acceptance Form.
-
-4. The following will be required for Registration:
-
-(a) A medical examination to be conducted by an approved medical practitioner. On your arrival at the Igbinedion University, you should submit the enclosed Igbinedion University Medical Examination Form duly completed and signed by an approved medical practitioner together with your chest X-ray film to Director of Health Service at the Igbinedion University, Okada.
-
-(b) The original copies of all credentials listed in your application form (including NYSC discharge/exemption certificate) should be brought for sighting.
-
-5. You are required to pay the necessary fees and register for your degree programme not later than three weeks from the beginning of the Academic Session. Late registration may be allowed during an additional period of five weeks on payment of a late registration fees. Please note that you will be allowed to register after two months have elapsed from the beginning of the sessions.
-
-6. Please find attached:
-
-(a) A copy of School fees Regime
-(b) A copy of Acceptance Forms
-
-7. Note:
-
-(a) All Tuition fees are to be paid online
-(b) Post-graduate dues and other charges are to be paid into ABC Microfinance Bank Okada, Account No: 30125
-
-8.  CONGRATULATIONS!!!
-
-Yours faithfully,
-
-<img src="${signature_ezewele_img_path}" valign="-20" height="38" width="86" />
-
-Mrs. Angela Ezewele
-Secretary, School of Postgraduate Studies & Research
-"""
+        from kofacustom.iuokada.students.admission_letter_pg import ADML_PG
+        return ADML_PG
 
     @property
     def post_text_pt(self):
-        return """
-Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip where available, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and health certificate from a recognized Medical Centre.
-
-All credentials (original) will be checked during registration. This admission will be cancelled at any point in time it is found that your claims in the application form are false.
-
-You are required to show evidence of the result / credentials you presented on application for admission.
-
-Fees are paid through bank draft only. Fees can be paid using any of the following options: Professional courses N180,000 (One Hundred and Eighty Thousand Naira only) and Non- Professional N150,000 (One Hundred and Fifty Thousand Naira only).
-
-Your Student Id (indicated above) is your login to the University portal. As an indication of your acceptance of this offer of admission, you should immediatelty raise a draft of fees above at the beginning of the session,. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable.
-
-It is advisable that you keep the original receipts of fees paid and present them on demand.
-
-Resumption Date: The University opens for fresh students with online registration starting from Monday 28th September, 2020. The date for physical resumption is 14th November, 2020.
-
-All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip where available (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
-
-Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
-
-We wish you a successful academic career in Igbinedion University.
-
-Congratulations!
-
-<img src="${signature_benji_img_path}" valign="-20" height="38" width="86" />
-
-Friday Benji Bakare Esq.
-Registrar
-registrar@iuokada.edu.ng
-08035902949
-"""
+        from kofacustom.iuokada.students.admission_letter_pt import ADML_PT
+        return ADML_PT
 
     @property
     def post_text_jupeb(self):
-        return """
-Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: WAEC/NECO (O' Level) result, Birth certificate or sworn affidavit of age, and certificate of medical fitness from a recognized Medical Centre.
-
-The fee schedule and the options for payment are indicated below. If you choose to use the bank payment option, you can pay at any branch of Access bank on 0787077169 with account name IUO JUPEB or on https://iuokada.waeup.org/e-tranzact or Interswitch platform.
-
-Kindly note the following:
-
-1. As an indication of your acceptance of this offer of admission, you should pay a non- refundable Acceptance deposit of N50,000:00.
-2. Tuition fee for the session is N200,000:00 for Arts and N250,000:00 for Sciences
-3. Accommodation fee for the session is N175,000:00
-4. All fees must be paid in full at the beginning of the session, as basis for accommodation, registration and attendance of lectures. Instalmental payments of not more than two instalments, may be allowed
-5. Fees once paid are not refundable.
-6. It is advisable that you keep the original receipts of fees paid and present them on demand.
-
-Accommodation: Accommodation in University hostels is compulsory for every student. No student is allowed to live outside the hostels. Any student who does so will be expelled from the programme.
-
-Food: Food is available in cafeteria on "pay-as-you-eat" basis.
-
-Resumption Date: The University opens for dual mode of teaching (physical/online) for students on Monday, 27th September, 2021.
-
-Registration Programme: Online registration for fresh students will start on Monday, 27th September, 2021 and end on 4th October 2021. A late registration fee of N20,000 will be charged after this date.
-
-Transport Facility: The University provides a compulsory shuttle bus service to all students at a fee already included in the tuition.
-Kindly note that JUPEB students are not allowed the use of private vehicles on campus.
-
-Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
-
-We wish you a successful academic career in Igbinedion University. Enquiries: 08034331960, 08120611736
-
-Congratulations!
-
-
-
-<img src="${signature_benji_img_path}" valign="-20" height="38" width="86" />
-
-Friday Benji Bakare Esq.
-Registrar
-"""
+        from kofacustom.iuokada.students.admission_letter_jupeb import ADML_JUPEB
+        return ADML_JUPEB
 
     def render(self):