Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17032)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17033)
@@ -1,3 +1,3 @@
-ADML_UG = """
+ADML_UG_1 = """
 Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and health certificate from a recognized Medical Centre.
 
@@ -17,9 +17,25 @@
 
 Food: Food is available in cafeteria on "pay-as-you-eat" basis.
+"""
 
-Resumption Date: The University opens for fresh students on Saturday, 9th October, 2021. All newly admitted students are expected to resume on that date.
+ADML_UG_2_MEDICAL = """
+niversity opens for fresh students on Saturday, 24th September, 2022. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 11th October, 2021 - Friday, 15th October, 2021. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 26th September, 2022 - Friday, 30th September, 2022. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+"""
 
+ADML_UG_2_PHARMACY = """
+Resumption Date: The University opens for fresh students on Saturday, 24th September, 2022. All newly admitted students are expected to resume on that date.
+
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 26th September, 2022 - Friday, 30th September, 2022. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false. 
+"""
+
+ADML_UG_2 = """
+Resumption Date: The University opens for fresh students on Saturday, 24th September, 2022. All newly admitted students are expected to resume on that date. 
+
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 26th September, 2022 - Friday, 30th September, 2022.A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+"""
+
+ADML_UG_3 = """
 Transport Facility: The University provides a compulsory shuttle bus service to all students at a fee already included in the other charges.
 
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 17032)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 17033)
@@ -409,4 +409,11 @@
     grok.require('waeup.payStudent')
 
+from kofacustom.iuokada.students.admission_letter_ug import (
+    ADML_UG_1, ADML_UG_2, ADML_UG_3, ADML_UG_2_MEDICAL, ADML_UG_2_PHARMACY, 
+    BASIC_MEDICAL_ONLY, BASIC_PHARMACY_ONLY)
+from kofacustom.iuokada.students.admission_letter_pg import ADML_PG
+from kofacustom.iuokada.students.admission_letter_pt import ADML_PT
+from kofacustom.iuokada.students.admission_letter_jupeb import ADML_JUPEB
+
 class CustomExportPDFAdmissionSlip(ExportPDFAdmissionSlip):
     """Deliver a PDF Admission slip.
@@ -448,34 +455,4 @@
             ' into the Igbinedion University, Okada was successful. You have'
             ' been admitted as follows:')
-
-    @property
-    def basic_medical_only_text(self):
-        from kofacustom.iuokada.students.admission_letter_ug import BASIC_MEDICAL_ONLY
-        return BASIC_MEDICAL_ONLY
-        
-    @property
-    def basic_pharmacy_only_text(self):
-        from kofacustom.iuokada.students.admission_letter_ug import BASIC_PHARMACY_ONLY
-        return BASIC_PHARMACY_ONLY
-
-    @property
-    def post_text_ug(self):
-        from kofacustom.iuokada.students.admission_letter_ug import ADML_UG
-        return ADML_UG
-
-    @property
-    def post_text_pg(self):
-        from kofacustom.iuokada.students.admission_letter_pg import ADML_PG
-        return ADML_PG
-
-    @property
-    def post_text_pt(self):
-        from kofacustom.iuokada.students.admission_letter_pt import ADML_PT
-        return ADML_PT
-
-    @property
-    def post_text_jupeb(self):
-        from kofacustom.iuokada.students.admission_letter_jupeb import ADML_JUPEB
-        return ADML_JUPEB
 
     def render(self):
@@ -487,10 +464,10 @@
             return students_utils.renderPDFAdmissionLetter(self,
                 self.context.student, omit_fields=self.omit_fields,
-                pre_text=self.pre_text_ug, post_text=self.post_text_jupeb,
+                pre_text=self.pre_text_ug, post_text=ADML_JUPEB,
                 watermark=watermark)
         if self.context.current_mode.endswith('_pt'):
             return students_utils.renderPDFAdmissionLetter(self,
                 self.context.student, omit_fields=self.omit_fields,
-                pre_text=self.pre_text_ug, post_text=self.post_text_pt,
+                pre_text=self.pre_text_ug, post_text=ADML_PT,
                 watermark=watermark)
         if self.context.is_postgrad:
@@ -501,5 +478,5 @@
             return students_utils.renderPDFAdmissionLetter(self,
                 self.context.student, omit_fields=self.omit_fields,
-                pre_text=self.pre_text_pg, post_text=self.post_text_pg,
+                pre_text=self.pre_text_pg, post_text=ADML_PG,
                 mergefiles=mergefiles,
                 watermark=watermark)
@@ -509,9 +486,9 @@
         mergefiles = [file,]
         if self.context.certcode in ('BBMS', 'MBBS') and self.context.current_level == 100:
-            post_text = self.basic_medical_only_text + self.post_text_ug
+            post_text = BASIC_MEDICAL_ONLY + ADML_UG_1 + ADML_UG_2_MEDICAL + ADML_UG_3
         elif self.context.certcode in ('BPHARM',) and self.context.current_level == 100:
-            post_text = self.basic_pharmacy_only_text + self.post_text_ug
+            post_text = BASIC_PHARMACY_ONLY + ADML_UG_1 + ADML_UG_2_MEDICAL + ADML_UG_3
         else:
-            post_text = self.post_text_ug
+            post_text = ADML_UG_1 + ADML_UG_2 + ADML_UG_3
         return students_utils.renderPDFAdmissionLetter(self,
             self.context.student, omit_fields=self.omit_fields,