Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py	(revision 17038)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py	(revision 17039)
@@ -101,4 +101,5 @@
     'applicant_id',
     'proc_date',
+    'courier_tno',
     )
 
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py	(revision 17038)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py	(revision 17039)
@@ -63,10 +63,15 @@
 DESTINATION_COST = {
     #'none': ('To the moon', 1000000000.0, 1),
-    'nigeria': ('Within Nigeria', 20000.0, 1),
-    'africa': ('Within Africa ', 30000.0, 2),
-    'inter': ('International', 35000.0, 3),
-    'cert_nigeria': ('Certified Copy - Within Nigeria', 13000.0, 4),
-    'cert_africa': ('Certified Copy - Within Africa', 23000.0, 5),
-    'cert_inter': ('Certified Copy - International', 28000.0, 6),
+    'australia': ('Australia', 44500.0, 1),
+    'india': ('Arab Emirate/China/India/Saudi Arabia', 38500.0, 2),
+    'ghana': ('Benin/Ghana/South Africa',  37000.0, 3),
+    'isreal': ('Isreal/Turkey', 33500.0, 4),
+    'canada': ('Canada', 30500.0, 5),
+    'germany': ('Finland/France/Germany/Netherlands', 30000.0, 6),
+    'usa': ('USA', 31750.0, 7),
+    'uk': ('UK', 25750.0, 8),
+    'north': ('Nigeria North', 11800.0, 9),
+    'abuja': ('Abuja/Lokoja', 11200.0, 10),
+    'south': ('Nigeria South East/South/South West', 10700.0, 11),
     }
 
@@ -169,5 +174,4 @@
     next_kin_phone = PhoneNumber(
         title = _(u'Next of Kin Phone'),
-        description = u'',
         required = False,
         readonly = False,
@@ -500,11 +504,11 @@
         )
 
-    course_changed = schema.Choice(
-        title = _(u'Change of Study Course / Transfer'),
-        description = u'If yes, select previous course of study.',
-        source = TranscriptCertificateSource(),
-        readonly = False,
-        required = False,
-        )
+    #course_changed = schema.Choice(
+    #    title = _(u'Change of Study Course / Transfer'),
+    #    description = u'If yes, select previous course of study.',
+    #    source = TranscriptCertificateSource(),
+    #    readonly = False,
+    #    required = False,
+    #    )
 
     spillover_level = schema.Choice(
@@ -541,4 +545,11 @@
         required = True,
         readonly = False,
+        )
+        
+    curriculum = schema.Bool(
+        title = _(u'Including curriculum'),
+        description = u'₦ 5000 will be added to transcript charge',
+        default = False,
+        required = False,
         )
 
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py	(revision 17038)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py	(revision 17039)
@@ -18,8 +18,10 @@
 """General helper functions and utilities for the application section.
 """
-
+from time import time
+from datetime import datetime
 from kofacustom.nigeria.applicants.utils import NigeriaApplicantsUtils
 from waeup.kofa.applicants.workflow import (INITIALIZED,
     STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
+from kofacustom.edocons.applicants.interfaces import DESTINATION_COST
 from kofacustom.edocons.interfaces import MessageFactory as _
 
@@ -81,4 +83,13 @@
                 return _('Amount could not be determined. Have you saved the form?')
             return
+        elif applicant.container_code.startswith('tsc'):
+            if not applicant.charge:
+                return _(u'No transcript charge selected.')
+            cost = DESTINATION_COST[applicant.charge][1]
+            payment.amount_auth = applicant.no_copies * cost
+            if applicant.curriculum:
+                payment.amount_auth += applicant.no_copies * 5000
+            payment.p_category = 'transcript'
+            return
         payment.p_category = 'application'
         container_fee = container.application_fee
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py	(revision 17038)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py	(revision 17039)
@@ -36,5 +36,5 @@
         'application': 'Application Fee',
         #'app_balance': 'Application Fee Balance',
-        #'transcript': 'Transcript Fee',
+        'transcript': 'Transcript Fee',
         #'late_registration': 'Late Course Registration Fee',
         #'combi': 'Combi Payment',