Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/viewlets.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/viewlets.py	(revision 17075)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/viewlets.py	(revision 17076)
@@ -35,2 +35,139 @@
 class AddBalancePaymentActionButton(AddBalancePaymentActionButton):
     grok.require('waeup.payStudent')
+
+# Medical Certificate
+
+class MedicalCertificateDisplay(StudentFileDisplay):
+    """Medical Certificate display viewlet.
+    """
+    grok.order(19)
+    label = _(u'Medical Certificate')
+    title = _(u'Medical Certificate')
+    download_name = u'medcert'
+
+class MedicalCertificateSlip(MedicalCertificateDisplay):
+    grok.view(ExportPDFClearanceSlip)
+
+class MedicalCertificateUpload(StudentFileUpload):
+    """Medical Certificate upload viewlet.
+    """
+    grok.order(19)
+    label = _(u'Medical Certificate (attach blood group, genotype and chest X-ray in one pdf file)')
+    title = _(u'Medical Certificate Scan')
+    download_name = u'medcert'
+
+class MedicalCertificateImage(StudentImage):
+    """Renders Medical Certificate scan.
+    """
+    grok.name('medcert')
+    download_name = u'medcert'
+
+# Specification for Female Uniform 
+
+class SpecificationFemaleUniformDisplay(StudentFileDisplay):
+    """Specification for Female Uniform display viewlet.
+    """
+    grok.order(20)
+    label = _(u'Specification for Female Uniform')
+    title = _(u'Specification for Female Uniform')
+    download_name = u'femuniform'
+
+class SpecificationFemaleUniformSlip(SpecificationFemaleUniformDisplay):
+    grok.view(ExportPDFClearanceSlip)
+
+class SpecificationFemaleUniformUpload(StudentFileUpload):
+    """Specification for Female Uniform upload viewlet.
+    """
+    grok.order(20)
+    label = _(u'Specification for Female Uniform')
+    title = _(u'Specification for Female Uniform')
+    download_name = u'femuniform'
+
+class SpecificationFemaleUniformImage(StudentImage):
+    """Renders Medical Certificate scan.
+    """
+    grok.name('femuniform')
+    download_name = u'femuniform'
+    
+# Hostel Form
+
+class HostelFormDisplay(StudentFileDisplay):
+    """Hostel Form display viewlet.
+    """
+    grok.order(21)
+    label = _(u'Hostel Form')
+    title = _(u'Hostel Form')
+    download_name = u'hostel'
+
+class HostelFormSlip(HostelFormDisplay):
+    grok.view(ExportPDFClearanceSlip)
+
+class HostelFormUpload(StudentFileUpload):
+    """Hostel Form upload viewlet.
+    """
+    grok.order(22)
+    label = _(u'Hostel Form')
+    title = _(u'Hostel Form Scan')
+    download_name = u'hostel'
+
+class HostelFormImage(StudentImage):
+    """Renders Hostel Form scan.
+    """
+    grok.name('hostel')
+    download_name = u'hostel'
+
+
+# Renouncement of Cult
+
+class RenouncementCultDisplay(StudentFileDisplay):
+    """Renouncement of Cult display viewlet.
+    """
+    grok.order(23)
+    label = _(u'Renouncement of Cult')
+    title = _(u'Renouncement of Cult')
+    download_name = u'cult'
+
+class RenouncementCultSlip(RenouncementCultDisplay):
+    grok.view(ExportPDFClearanceSlip)
+
+class RenouncementCultUpload(StudentFileUpload):
+    """Renouncement of Cult upload viewlet.
+    """
+    grok.order(23)
+    label = _(u'Renouncement of Cult')
+    title = _(u'Renouncement of Cult Scan')
+    download_name = u'cult'
+
+class RenouncementCultImage(StudentImage):
+    """Renders Renouncement of Cult scan.
+    """
+    grok.name('cult')
+    download_name = u'cult'
+
+
+# Letter of Sponsorship
+
+class LetterSponsorshipDisplay(StudentFileDisplay):
+    """Letter of Sponsorship display viewlet.
+    """
+    grok.order(24)
+    label = _(u'Letter of Sponsorship')
+    title = _(u'Letter of Sponsorship')
+    download_name = u'sponsor'
+
+class LetterSponsorshipSlip(LetterSponsorshipDisplay):
+    grok.view(ExportPDFClearanceSlip)
+
+class LetterSponsorshipUpload(StudentFileUpload):
+    """Letter of Sponsorship upload viewlet.
+    """
+    grok.order(24)
+    label = _(u'Letter of Sponsorship (for those in hostel)')
+    title = _(u'Letter of Sponsorship Scan')
+    download_name = u'sponsor'
+
+class LetterSponsorshipImage(StudentImage):
+    """Renders Letter of Sponsorship scan.
+    """
+    grok.name('sponsor')
+    download_name = u'sponsor'