Index: /tanzpartie-hugo/content/audio/kachamba.md
===================================================================
--- /tanzpartie-hugo/content/audio/kachamba.md	(revision 17079)
+++ /tanzpartie-hugo/content/audio/kachamba.md	(revision 17080)
@@ -17,5 +17,5 @@
 {{< figure class="image" width=100% src="/page/pics/K1600_MEDIAFIX_IMG_0246.JPG" >}}
 {{< figure class="image" width=100% src="/page/pics/K1600_MEDIAFIX_IMG_0237.JPG" >}}
-{{<audio src="/page/DonaldKachamba.mp3" caption="Abendliche Kwela Session im Haus von Donald Kachamba, Chileka, Malawi (Aufnahme Bettermann 13.07.1997)">}}
+{{<audio src="/audio/DonaldKachamba.mp3" caption="Abendliche Kwela Session im Haus von Donald Kachamba, Chileka, Malawi (Aufnahme Bettermann 13.07.1997)">}}
 
 Und wer mehr hören möchte:
Index: /tanzpartie-hugo/content/audio/koonimo.md
===================================================================
--- /tanzpartie-hugo/content/audio/koonimo.md	(revision 17079)
+++ /tanzpartie-hugo/content/audio/koonimo.md	(revision 17080)
@@ -20,5 +20,5 @@
 {{< figure class="image" width=60% src="/page/pics/K1600_MEDIAFIX_IMG_0883.JPG" >}}
 
-{{<audio src="/page/KooNimo.mp3" caption="Friday Night (Aufnahme Bettermann 21.12.1996)">}}
+{{<audio src="/audio/KooNimo.mp3" caption="Friday Night (Aufnahme Bettermann 21.12.1996)">}}
 
 Und wer mehr hören möchte:
Index: /tanzpartie-hugo/content/page/journey.md
===================================================================
--- /tanzpartie-hugo/content/page/journey.md	(revision 17079)
+++ /tanzpartie-hugo/content/page/journey.md	(revision 17080)
@@ -23,5 +23,5 @@
 In Lateinamerika sind die afrokaribische, die afrobrasilianische und afrokolumbianische Musik stilprägend. Zu ihnen zählen u.a. (in alphabetischer Reihenfolge) die Musikrichtungen: *Axé, Bachata, Bolero, Bossa Nova, Calypso, Chôro, Cumbia, Danzón, Forró, Frevo, Habanera, Lambada, Mambo, Merengue, Reggaetón, Rumba, Salsa, Samba, Samba-Reggae, Ska, Son, Timba und Vallenato*. In Nordamerika werden die folgenden Musikrichtungen unter dem Begriff afroamerikanisch Musik subsummiert: *Gospel, Blues, Jazz, Rhythm & Blues, Rock & Roll, Soul, Funk, Hip-Hop, House und Zydeco*, also fast alles, was der nordamerikaniche Kontinent zu bieten hat. In Lateinamerika kommen noch viele indigene Musikstile hinzu. Mit den meisten dieser Musikstile sind auch Tanzstile verbunden, viele von ihnen werden mit TanzpartnerIn oder in Formationen getanzt.
 
-In Lateinamerika und der Karibik haben sich Musikstile durch das Verschmelzen der Kulturen nicht nur weiterentwickelt. Sie haben afrikanische Musiktraditionen in einer Form konserviert, wie es in Afrika im vergangenen Jahrhundert kaum möglich war. Ein gutes Beispiel ist die afrokubanische Musik, in denen Musiktraditionen der Yoruba (einem Volk im heutigen Nigeria) quasi eingefroren und so gelebt werden, wie es in westlichen Afrika kaum noch üblich ist. Dort erkennt und wertschätzt man die Konservierung und Weiterentwicklung der Musikformen. Die afrokubanische Musik wird auch in Afrika sehr populär und von vielen bekannten Musikern und Orchestern gespielt: *Africando, Orchestre Baobab, Grand Kalle, Franco, Étoile de Dakar, Rocherau, Pape Fall, Mapenda Seck, Manu Dibango, Les Bantous De La Capitale, Papa Wemba*.
+In Lateinamerika und der Karibik haben sich Musikstile durch das Verschmelzen der Kulturen nicht nur weiterentwickelt. Sie haben afrikanische Musiktraditionen in einer Form konserviert, wie es in Afrika im vergangenen Jahrhundert kaum möglich war. Ein gutes Beispiel ist die afrokubanische Musik, in denen Musiktraditionen der Yoruba (einem Volk im heutigen Nigeria) quasi eingefroren und so gelebt werden, wie es in westlichen Afrika kaum noch üblich ist. Dort erkannte und wertschätzte man die Konservierung und Weiterentwicklung der Musikformen. Die afrokubanische Musik wurde auch in Afrika sehr populär und von vielen bekannten Musikern und Orchestern gespielt: *Africando, Orchestre Baobab, Grand Kalle, Franco, Étoile de Dakar, Rocherau, Pape Fall, Mapenda Seck, Manu Dibango, Les Bantous De La Capitale, Papa Wemba*.
 
 
@@ -31,5 +31,3 @@
 Die aktuell geplante Reiseroute verläuft durch die kulturellen Hochburgen Amerikas. Als leidenschaftlicher Salsa Cubana-, Bachata-, Merengue- und Forró-Tänzer möchte ich viele Konzerte in kleinem und großen Rahmen erleben und Tanzen gehen. Ich freue mich auf die Begegnungen mit Menschen jeden Alters und auf hoffentlich viele generationsübergreifende Gemeinschaftserlebnisse. Gleichzeitig werde ich als "Digitalnomade" arbeiten und all meinen beruflichen Verpflichtungen und Aufgaben in Nigeria nachkommen.
 
-{{< google_route height="400" mid="16ZCWPaJhSiKppVD_M0cxpLyFS7Ozz8s" ehbc="2E312F">}}
-
-Die geplante und die tatsächliche Reiseroute möchte ich auf Google Maps dokumentieren. Die Besuche in Tanzstudios, Tanzschulen, Kultureinrichtungen sowie von Konzerten, öffentlichen oder privaten Feiern, spontanen Flashmobs u.v.m. werde ich journalsitisch aufarbeiten und über diese Website datenschutz- und urheberrechtskonform in Bild, Film, Ton und Wort veröffentlichen.
+Die geplante und die tatsächliche Reiseroute werde ich über FindPenguins oder Polarsteps dokumentieren. Die Besuche in Tanzstudios, Tanzschulen, Kultureinrichtungen sowie von Konzerten, öffentlichen oder privaten Feiern, spontanen Flashmobs u.v.m. werde ich journalsitisch aufarbeiten und über diese Website datenschutz- und urheberrechtskonform in Bild, Film, Ton und Wort veröffentlichen.
Index: /tanzpartie-hugo/content/status/start.md
===================================================================
--- /tanzpartie-hugo/content/status/start.md	(revision 17079)
+++ /tanzpartie-hugo/content/status/start.md	(revision 17080)
@@ -11,3 +11,3 @@
 -------------
 
-... auf meiner neuen Weblog-Site. Sie wird mir dazu dienen, über die Vorbereitungen der von mir geplanten Weltreise in den kommenden Jahren zu berichten, Mitreisende zu finden und schließlich während der Reise Bild-, Video- und Tonmaterial werbungsfrei bereitzustellen. Detaillierte Information und Hintergründe zu der Reise findet ihr unter den oben aufgeführten Menüpunkten. Achtet auf die Verlinkungen im Text, die manch Überraschung hervorbringen.
+... auf meiner neuen Weblog-Site. Sie wird mir dazu dienen, über die Vorbereitungen der von mir geplanten Weltreise in den kommenden Jahren zu berichten, Mitreisende zu finden und schließlich während der Reise Bild-, Video- und Tonmaterial werbungsfrei bereitzustellen. Detaillierte Information und Hintergründe zu der Reise findet ihr unter den oben aufgeführten oder aufklappbaren Menüpunkten. Achtet auf die Verlinkungen im Text, die manch Überraschung hervorbringen.