Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/interfaces.py
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/interfaces.py	(revision 17085)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/interfaces.py	(revision 17086)
@@ -20,4 +20,6 @@
 
 from zope import schema
+import unicodecsv
+import os
 from zope.interface import Interface, Attribute, implements, directlyProvides
 from waeup.kofa.applicants.interfaces import (
@@ -38,4 +40,17 @@
     INigeriaApplicantOnlinePayment,)
 
+def make_dict(filename, depth):
+    wards = unicodecsv.reader(
+        open(os.path.dirname(__file__)  + '/%s'%filename, 'rb'))
+    result = dict()
+    for row in wards:
+        result['_'.join(row[0:depth])] = row[depth]
+    return result
+
+STATES = make_dict('states.csv', 1)
+LGAS = make_dict('lgas.csv', 2)
+WARDS = make_dict('wards.csv', 3)
+PUNITS = make_dict('punits.csv', 4)
+    
 class IApplicantBaseData(IKofaObject):
     """This is a base interface of an applicant with no field
Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/lgas.csv
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/lgas.csv	(revision 17086)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/lgas.csv	(revision 17086)
@@ -0,0 +1,3 @@
+s1,l1,Aba North
+s1,l2,Aba South
+s1,l3,Osisioma
Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/punits.csv
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/punits.csv	(revision 17086)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/punits.csv	(revision 17086)
@@ -0,0 +1,52 @@
+s1,l1,w1,u5,Abia Poly - Abia Poly I
+s1,l1,w1,u6,Abia Poly - Abia Poly II
+s1,l1,w1,u7,Abia Poly - Abia Poly III
+s1,l1,w1,u8,Abia Poly - Abia Poly IV
+s1,l1,w1,u9,Abia Poly - Abia Poly V
+s1,l1,w1,u10,Abia Poly - Abia Poly VI
+s1,l1,w1,u11,Eziama High Sch. - Eziama High Sch. I
+s1,l1,w1,u12,Eziama High Sch. - Eziama High Sch. II
+s1,l1,w1,u13,Eziama High Sch. - Eziama High Sch. III
+s1,l1,w1,u14,Eziama High Sch. - Eziama High Sch. IV
+s1,l1,w1,u15,Eziama High Sch. - Eziama High Sch. V
+s1,l1,w1,u16,Eziama Central Sch. - Eziama Central Sch. I
+s1,l1,w1,u17,Eziama Central Sch. - Eziama Central Sch. II
+s1,l1,w1,u18,Eziama Central Sch. - Eziama Central Sch. III
+s1,l1,w1,u19,Eziama Central Sch. - Eziama Central Sch. IV
+s1,l1,w1,u20,Eziama Central Sch. - Eziama Central Sch. V
+s1,l1,w1,u21,Eziama Central Sch. - Eziama Central Sch. VI
+s1,l1,w1,u22,Eziama Central Sch. - Eziama Central Sch. VII
+s1,l1,w1,u23,Eziama Central Sch. - Eziama Central Sch. VIII
+s1,l1,w1,u24,Abia Poly VII
+s1,l1,w1,u25,Abia Poly VIII
+s1,l1,w1,u26,Abia Poly IX
+s1,l1,w1,u27,Abia Poly X
+s1,l1,w1,u28,Abia Poly XI
+s1,l1,w1,u29,Abia Poly XII
+s1,l1,w1,u30,Abia Poly XIII
+s1,l1,w1,u31,Abia Poly XIV
+s1,l1,w1,u32,Abia Poly XV
+s1,l1,w1,u33,Abia Poly XVI
+s1,l1,w1,u34,Abia Poly
+s1,l1,w1,u35,Abia Poly XVIII
+s1,l1,w1,u36,Abia Poly XIX
+s1,l1,w1,u37,Abia Poly XX
+s1,l1,w1,u38,Abia Poly XXI
+s1,l1,w1,u39,Abia Poly XXII
+s1,l1,w1,u40,Abia Poly XXIII
+s1,l1,w1,u41,Abia Poly XXIV
+s1,l1,w1,u42,Abia Poly XXV
+s1,l1,w1,u43,Abia Poly VI
+s1,l1,w1,u44,Abia Poly XXIV
+s1,l1,w1,u45,Eziama High Sch. II
+s1,l1,w1,u46,Eziama High Sch. II
+s1,l1,w1,u47,Eziama High Sch. III
+s1,l1,w1,u48,Eziama High Sch. XI
+s1,l1,w1,u49,Eziama High Sch. XII
+s1,l1,w1,u50,Eziama High Sch.
+s1,l1,w1,u51,Eziama High Sch. X
+s1,l1,w1,u52,Eziama High Sch. XI
+s1,l1,w1,u53,RAILWAY Quarters V
+s1,l1,w1,u54,RAILWAY Quarters VI
+s1,l1,w1,u55,RAILWAY Quarters VII
+s1,l1,w1,u56,RAILWAY Quarters VIII
Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/states.csv
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/states.csv	(revision 17086)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/states.csv	(revision 17086)
@@ -0,0 +1,3 @@
+s1,Abia
+s2,Adamawa
+s37,Zamfara
Index: main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/wards.csv
===================================================================
--- main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/wards.csv	(revision 17086)
+++ main/kofacustom.lpng/trunk/src/kofacustom/lpng/applicants/wards.csv	(revision 17086)
@@ -0,0 +1,12 @@
+s1,l1,w1,EZIAMA
+s1,l1,w2,INDUSTRIAL AREA
+s1,l1,w3,OSUSU I
+s1,l1,w4,OSUSU II
+s1,l1,w5,ST.EUGENES BY OKIGWE RD.
+s1,l1,w6,URATTA
+s1,l1,w7,OLD ABA GRA
+s1,l1,w8,UMUOLA
+s1,l1,w9,ARIARIA MARKET
+s1,l1,w10,OGBOR I
+s1,l1,w11,OGBOR II
+s1,l1,w12,UMUOGOR