Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py	(revision 17094)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py	(revision 17095)
@@ -270,4 +270,13 @@
     grok.name('res_stat')
 
-class TestimonialForm(AdditionalFile):
-    grok.name('testimonial')        
+class NotificationRegistrationForm(AdditionalFile):
+    grok.name('not_reg')      
+    
+class OtherDocument1(AdditionalFile):
+    grok.name('doc_1')
+
+class OtherDocument2(AdditionalFile):
+    grok.name('doc_2')   
+
+class OtherDocument3(AdditionalFile):
+    grok.name('doc_3')           
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py	(revision 17094)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py	(revision 17095)
@@ -20,4 +20,5 @@
 """
 
+from datetime import datetime
 from zope import schema
 from zope.interface import invariant, Invalid
@@ -32,9 +33,10 @@
 from waeup.kofa.interfaces import (
     SimpleKofaVocabulary, academic_sessions_vocab, validate_email,
-    IKofaObject)
+    IKofaObject, MonthSource)
 from waeup.kofa.schema import FormattedDate, TextLineChoice, PhoneNumber
 from waeup.kofa.students.vocabularies import nats_vocab, GenderSource
 from waeup.kofa.applicants.interfaces import (
     contextual_reg_num_source,
+    year_range,
     IApplicantBaseData)
 from kofacustom.nigeria.applicants.interfaces import (
@@ -53,4 +55,8 @@
 from kofacustom.edocons.interfaces import MessageFactory as _
 from kofacustom.edocons.payments.interfaces import ICustomOnlinePayment
+
+def entry_year_range():
+    curr_year = datetime.now().year
+    return range(curr_year - 25, curr_year)
 
 programme_types_vocab = SimpleKofaVocabulary(
@@ -103,7 +109,7 @@
     def getTitle(self, value):
         if value == 'o':
-            return _('Original')
+            return _('Student Transcript')
         if value == 'c':
-            return _('Certified True Copy')
+            return _('Certified Transcript')
 
 class TranscriptCertificateSource(CertificateSource):
@@ -475,20 +481,32 @@
         )
 
-    entry_session = schema.Choice(
-        title = _(u'Academic Session of Entry'),
-        source = academic_sessions_vocab,
-        required = False,
-        readonly = False,
-        )
-
-    end_session = schema.Choice(
-        title = _(u'Academic Session of Graduation'),
-        source = academic_sessions_vocab,
-        required = False,
-        readonly = False,
+    entry_year = schema.Choice(
+        title = _(u'Year of Entrance'),
+        required = False,
+        values = entry_year_range(),
+        readonly = False,
+        )
+
+    entry_month = schema.Choice(
+        title = _(u'Month of Entry'),
+        source = MonthSource(),
+        required = False,
+        )
+
+    end_year = schema.Choice(
+        title = _(u'Year of Graduation'),
+        required = False,
+        values = entry_year_range(),
+        readonly = False,
+        )
+
+    end_month = schema.Choice(
+        title = _(u'Month of Graduation'),
+        source = MonthSource(),
+        required = False,
         )
 
     entry_mode = schema.Choice(
-        title = _(u'Mode of Entry'),
+        title = _(u'Course of Study'),
         source = StudyModeSource(),
         required = False,
@@ -496,11 +514,11 @@
         )
 
-    course_studied = schema.Choice(
-        title = _(u'Course of Study'),
-        source = TranscriptCertificateSource(),
-        description = u'Faculty / Department / Course',
-        required = True,
-        readonly = False,
-        )
+    #course_studied = schema.Choice(
+    #    title = _(u'Course of Study'),
+    #    source = TranscriptCertificateSource(),
+    #    description = u'Faculty / Department / Course',
+    #    required = True,
+    #    readonly = False,
+    #    )
 
     #course_changed = schema.Choice(
@@ -532,5 +550,5 @@
 
     dispatch_address = schema.Text(
-        title = _(u'Recipient Body'),
+        title = _(u'Recipient Address'),
         description = u'Addresses (including email address and phone number) '
                        'to which transcripts should be posted. '
@@ -568,15 +586,15 @@
         )
 
-    proc_date = FormattedDate(
-        title = _(u'Processing Date'),
-        required = False,
-        #date_format = u'%d/%m/%Y', # Use grok-instance-wide default
-        show_year = True,
-        )
+    #proc_date = FormattedDate(
+    #    title = _(u'Processing Date'),
+    #    required = False,
+    #    #date_format = u'%d/%m/%Y', # Use grok-instance-wide default
+    #    show_year = True,
+    #    )
 
     @invariant
     def type_of_order(applicant):
         if not applicant.collected and applicant.order != 'o':
-            raise Invalid(_("If you haven't collected transcript before, type of order must be 'original'."))
+            raise Invalid(_("If you haven't collected transcript before, type of order must be 'Student Transcript'."))
         if applicant.order == 'o' and applicant.charge.startswith('cert_'):
             raise Invalid(_("You've selected the wrong transcript charge."))
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py	(revision 17094)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py	(revision 17095)
@@ -34,5 +34,8 @@
     ADDITIONAL_FILES = (
                  ('Testimonial','testimonial'),
-                 ('Statement of Result','res_stat'),
+                 ('Notification of Registration (optional)','not_reg'),
+                 ('Document 1','doc_1'),
+                 ('Document 2','doc_2'),
+                 ('Document 3','doc_3'),
                  )
 
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py	(revision 17094)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py	(revision 17095)
@@ -30,4 +30,7 @@
     # prefix
     STUDENT_ID_PREFIX = u'N'
+
+    # Maximum size of upload files in kB
+    MAX_KB = 500
     
     SKIP_UPLOAD_VIEWLETS = (