Index: /main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py	(revision 17110)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py	(revision 17111)
@@ -84,5 +84,5 @@
         'ratio',
         'custom_textline_1', 'custom_textline_2',
-        'custom_float_2')
+        )
 
 class CustomCertificateManageFormPage(CertificateManageFormPage):
@@ -92,3 +92,3 @@
         'ratio',
         'custom_textline_1', 'custom_textline_2',
-        'custom_float_2', 'code')
+        'code')
Index: /main/waeup.uniben/trunk/src/waeup/uniben/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 17110)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 17111)
@@ -46,5 +46,8 @@
 
 msgid "Custom Float 1 (not used)"
-msgstr "Old Returning Discount"
+msgstr "New Students Discount (entry session < 2020)"
+
+msgid "Custom Float 2 (not used)"
+msgstr "Returning Students Discount (entry session < 2020)"
 
 msgid ""
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 17110)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 17111)
@@ -608,5 +608,5 @@
         # Old returning students may pay less.
         self.certificate.school_fee_2 = 50000.0
-        self.certificate.custom_float_1 = 30000.0
+        self.certificate.custom_float_2 = 30000.0
         error, payment = utils.setPaymentDetails(
             'schoolfee', self.student, None, None, None)
@@ -614,5 +614,5 @@
 
         # Staff members pay less.
-        self.certificate.custom_float_1 = None
+        self.certificate.custom_float_2 = None
         self.student.is_staff = True
         error, payment = utils.setPaymentDetails('schoolfee',
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 17110)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 17111)
@@ -345,4 +345,8 @@
                     else:
                         amount = getattr(certificate, 'school_fee_1', 0.0)
+                        # Old new students get a discount.
+                        if student.entry_session < 2020 \
+                            and certificate.custom_float_1:
+                            amount -= certificate.custom_float_1                        
                 else:
                     if student.is_foreigner:
@@ -350,8 +354,8 @@
                     else:
                         amount = getattr(certificate, 'school_fee_2', 0.0)
-                        # Old returning students might get a discount.
-                        if student.entry_session < 2017 \
-                            and certificate.custom_float_1:
-                            amount -= certificate.custom_float_1
+                        # Old returning students get a discount.
+                        if student.entry_session < 2020 \
+                            and certificate.custom_float_2:
+                            amount -= certificate.custom_float_2
             else:
                 if student.state == CLEARED:
@@ -360,4 +364,8 @@
                     else:
                         amount = getattr(certificate, 'school_fee_1', 0.0)
+                        # Old new students get a discount.
+                        if student.entry_session < 2020 \
+                            and certificate.custom_float_1:
+                            amount -= certificate.custom_float_1                             
                 elif student.state == PAID and student.is_postgrad:
                     p_session += 1
@@ -402,7 +410,7 @@
                         amount = getattr(certificate, 'school_fee_2', 0.0)
                         # Old returning students might get a discount.
-                        if student.entry_session < 2017 \
-                            and certificate.custom_float_1:
-                            amount -= certificate.custom_float_1
+                        if student.entry_session < 2020 \
+                            and certificate.custom_float_2:
+                            amount -= certificate.custom_float_2
                 # PHARMD school fee amount is fixed and previously paid
                 # installments in current session are deducted.